!
! A MODULE 
!                               
! "THE BEER-WARE LICENSE":
! Alberto Ramos wrote this file. As long as you retain this 
! notice you can do whatever you want with this stuff. If we meet some 
! day, and you think this stuff is worth it, you can buy me a beer in 
! return. <alberto.ramos@cern.ch>
!
! 2003
!                               
! ***************************************************
! *
MODULE NumTypes
! *
! ***************************************************
! *
! * Define the numerical Types Single precision, 
! * Double Precision, and Complex double precision
! * to make the code portable.
! *
! ***************************************************

  IMPLICIT NONE

  ! Here we define our Single Precision (SP)
  ! and Double Precision (DP) data types, for
  ! both Real and Complex variables.

  Integer, Parameter :: SP = Kind(1.0)
  Integer, Parameter :: DP = Kind(1.D0)

  Integer, Parameter :: SPC = Kind( (1.0_SP, 1.0_SP) )
  Integer, Parameter :: DPC = Kind( (1.0_DP, 1.0_DP) )

End MODULE NumTypes

