!
! PROGRAM calculator 
!
! "THE BEER-WARE LICENSE":
! Alberto Ramos wrote this file. As long as you retain this 
! notice you can do whatever you want with this stuff. If we meet some 
! day, and you think this stuff is worth it, you can buy me a beer in 
! return. <alberto.ramos@cern.ch>
!
! file:    calculator.f90
! created: Mon Jul  2 15:51:43 2018
!                               

program calculator

  use numtypes
  use aderrors

  implicit none

  type (uwreal) :: x, y, z, t
  
  x = (/1.223_DP, 0.012_DP/) ! x = 1.223 +/- 0.012
  y = sin(2.0_DP*x)
  z = 1.0_DP + 2.0_DP * sin(x)*cos(x)
  t = z - y
  call t%uwerr()
  write(*,'(1A,1F18.16,1A,1F18.16)')'Exactly one: ', &
       t%value(), " +/- ", t%error() ! 1.0 +/- 0.0
  
  stop
end program calculator


  
